summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-02-28 12:36:15 +0100
committerLars Wendler <polynomial-c@gentoo.org>2019-02-28 12:50:57 +0100
commit4d23ff23a522d1dea46383f2330c8e091c5c182e (patch)
treedb7a4c727df00b7b52118d774c3430ee511da63c
parentsys-libs/tevent: Removed old. (diff)
downloadgentoo-4d23ff23a522d1dea46383f2330c8e091c5c182e.tar.gz
gentoo-4d23ff23a522d1dea46383f2330c8e091c5c182e.tar.bz2
gentoo-4d23ff23a522d1dea46383f2330c8e091c5c182e.zip
sys-libs/ldb: Bump to versions 1.2.4, 1.3.8, 1.4.6, 1.5.4 and 1.6.2
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--sys-libs/ldb/Manifest5
-rw-r--r--sys-libs/ldb/ldb-1.2.4.ebuild103
-rw-r--r--sys-libs/ldb/ldb-1.3.8.ebuild103
-rw-r--r--sys-libs/ldb/ldb-1.4.6.ebuild105
-rw-r--r--sys-libs/ldb/ldb-1.5.4.ebuild105
-rw-r--r--sys-libs/ldb/ldb-1.6.2.ebuild105
6 files changed, 526 insertions, 0 deletions
diff --git a/sys-libs/ldb/Manifest b/sys-libs/ldb/Manifest
index 787ca53d1e0..0771096aabc 100644
--- a/sys-libs/ldb/Manifest
+++ b/sys-libs/ldb/Manifest
@@ -2,8 +2,13 @@ DIST ldb-1.1.26.tar.gz 1262660 BLAKE2B 66dcc38eb97fe4357d06b301ed1de5cf868adc5f3
DIST ldb-1.1.29.tar.gz 1277551 BLAKE2B 449333d40073fd63d6d013ba0ae43fc3a0b8201948eabd440d164d182492002c1d92047d652105c2fb6a3e8383d4b75f45e38cc52efc5d9a0e2811113676203a SHA512 d37bbe84358e05d17483e2e963b8477da5ea351b855b454142c94af35f7987bede0f19faeaff17779efe04e3bb37c510437fcc59be99a17c826620fc25fd659c
DIST ldb-1.1.31.tar.gz 1337586 BLAKE2B 9454f91a621368cfc7cfdb709781653e947d63b275bb3b288049acb43ee3c02ae4f0be820ccf9e3bb32938d12598a91b7a6292b08c638ccfd59bd1be182f09c0 SHA512 49ccd57000cbcc6d828160f4457236b28853d766d641841471f61226156b6103fe563c43c950577b038ea3c0a54506bca94c640d3d5f912a3b8af95eb9ef2824
DIST ldb-1.2.3.tar.gz 1344513 BLAKE2B 941174d6e2c51319c8690a8d8a87bea443d4fa4d738bd13243b502fdc9d590ba075fcf4a9920c38bb6fc15564f0b116089cd62d99e7cfe33649dc751910265ad SHA512 500ab069cf6cec39907300e3905d334163b5094087831708acc22c4199b006ef52af3b66aade7558a48fab7cd69be3af7883bda3816a83c576d01b36ab270247
+DIST ldb-1.2.4.tar.gz 1346413 BLAKE2B 441cdf679ab4852e1c8d90ca8d9544d7983436c864cb3ea76b63f45177061c2763f9700b4be4be9ba53a4bcc9cec49b509dd39efb8f5f2171bc432641d1329c2 SHA512 093815cfa9e950299c4f09c58362136d72c439692f7d8670ecbf9cac49ecef6fd365f8fab5d39f41a4dd39e07f6c8d1a2616e843653d2fa0d7bdff346a118aa9
DIST ldb-1.3.6.tar.gz 1374574 BLAKE2B 654f35eb25aeb373540ead7cb10da66c92970ea6b100631cb14bacf937fec64e09b19ed3e09a976406e3f8d6347c4e17144c0a0bff8795316559be45353edbf7 SHA512 8fcd72598e948c55adaa832d6ebcbc03b979281032cb900af4304c1c68ce9cc94a1e1d4729d0c2a0b83a618cab716749d851160005a0093cf8a178e6dbea298d
DIST ldb-1.3.7.tar.gz 1374109 BLAKE2B 561d120bbfc49ef7115a3c046d65f15960ff9905b5a56ed7676d31ce6027ba9f18dfe5027952154db4a040e14be69689f248ffef0ca2ae801553be4c890248fe SHA512 b6d2b2f5a0868ac4ed1cfe786f26d5815cf60233561a23a06d9d5c231d51bfc68ad1a0826e5080bc97bafbaef1770fa38b7d3071f57b766e960b22485e8b5e2b
+DIST ldb-1.3.8.tar.gz 1375782 BLAKE2B dbca935e762af86b268308253615019b24af6727411e77947ceeadd3e0114c2ad2a14d4a4f1121bf58ccb080d44a8513d2094314b043604d885977a26e622c57 SHA512 06d1b4c2badbf0c27733a64f979c48af8b599747cef7cd7f5417cd55a76447e8f8987bd061694c5af63261fdb35433e3844122c14103d5cc8b4eaab1f4752541
DIST ldb-1.4.4.tar.gz 1428851 BLAKE2B 8b2dc6dc95f5c8d1a04aab58efb622b4550e6d8fc6f12aafe36b7080a5d59ab2d7fc6429ac59de43a23cef690fa9f026ccf536f70bfd25a126a1a649f3c68d02 SHA512 eb5c364771732916f89c9ee8cf20909954a7215cd71333b79c17718dd1e25081cce6597e882b6f0d6158c207fb58d97311f0417bf3baffe72084977a4bd05896
DIST ldb-1.4.5.tar.gz 1429162 BLAKE2B 47c55ca8a89f343708b5ea275a1f2417e91e05b2d1cf92d812f2a1430dcf174b14e69474f30dcf60b34a5c4b905924a67f002607535257fbb531bfed807648fa SHA512 ed1e73eb4e10f041463b38be031e7b7b1057a6a1ef6a637019d58a6549a0958d551a0b52f3858114b83cf14470ef5ddd96de3dcbb733a3bd1fed768fc29fadd2
+DIST ldb-1.4.6.tar.gz 1431798 BLAKE2B 748d6054af4b898fa475692a425d96541fa2c055ffdd4b8ca6635fea04d7b143b4e7301886f307300662140bc449a3ee3932801c7c5df10f6ba3ee5a10c7a46b SHA512 fb2be7842ecfda8788e8982831e34487f016814d1e8a757e93f8716019aaba4b9b7dd469e4ba11eb3990846fb55cdb2db2ec494eb7b0ff04f261d8309b1c98f4
DIST ldb-1.5.3.tar.gz 1625821 BLAKE2B 4ad2dfa10c0fe79ae06d2e50288ddba54cb3bb76e849e44af9c4ededa76eb20280c913277293281628d2a699f4cbecfc77630bc95965eeabc6800bfd9a9cb8ac SHA512 b25188606aae28a0ee5c95dddfb541cc6e500ef794d66601aa8cb061f51441433baab577311d0b39801d8b08808f66ad05066404293e78cb192523b681f1d145
+DIST ldb-1.5.4.tar.gz 1629123 BLAKE2B 3c71af079f2e5cb81e493d16d453c53bd0ee4c63720b0261ea6116244b2652ca581499c0b8c64949dccc95460aba7b4ef3afe7850563a830f3fb4b8753bdea2f SHA512 fc323e4283671c14d6dd4feb7e9ca943a63a166688077dbf3591f9d957cf821f9e739869842e15ca1ec4fd3764123d5afc6f4954b1af437bd1ec54df58366a22
+DIST ldb-1.6.2.tar.gz 1629794 BLAKE2B 5219479c773aa87c4bd6917e60b963df9cf3c481468ed020b4e9c4a175110ce80fd1c7a4ca4e28d99c972e0891287485261310eab1bbd7b8b138ea59f168ac8c SHA512 089dee2465efe0811ff745b52b15d2d7638b940112a06680706d5401231864859605ff0392245d4c815e9b85f5a4ba782fc61d8dba215cc8198e7d9a6ddd255e
diff --git a/sys-libs/ldb/ldb-1.2.4.ebuild b/sys-libs/ldb/ldb-1.2.4.ebuild
new file mode 100644
index 00000000000..822772cf008
--- /dev/null
+++ b/sys-libs/ldb/ldb-1.2.4.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 waf-utils multilib-minimal eutils
+
+DESCRIPTION="An LDAP-like embedded database"
+HOMEPAGE="https://ldb.samba.org/"
+SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="doc +ldap +python"
+
+RDEPEND="!elibc_FreeBSD? ( dev-libs/libbsd[${MULTILIB_USEDEP}] )
+ dev-libs/popt[${MULTILIB_USEDEP}]
+ >=dev-util/cmocka-1.1.1[${MULTILIB_USEDEP}]
+ >=sys-libs/talloc-2.1.10[python?,${MULTILIB_USEDEP}]
+ >=sys-libs/tevent-0.9.36[python(+)?,${MULTILIB_USEDEP}]
+ >=sys-libs/tdb-1.3.15[python?,${MULTILIB_USEDEP}]
+ python? ( ${PYTHON_DEPS} )
+ ldap? ( net-nds/openldap )
+"
+
+DEPEND="dev-libs/libxslt
+ doc? ( app-doc/doxygen )
+ virtual/pkgconfig
+ ${PYTHON_DEPS}
+ ${RDEPEND}
+"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.1.31-optional_packages.patch
+ "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
+ "${FILESDIR}"/${PN}-1.2.3-disable_python.patch
+)
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myconf=(
+ $(usex ldap '' --disable-ldap)
+ --disable-rpath
+ --disable-rpath-install --bundled-libraries=NONE
+ --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
+ --builtin-libraries=NONE
+ )
+ if ! multilib_is_native_abi; then
+ myconf+=( --disable-python )
+ else
+ use python || myconf+=( --disable-python )
+ fi
+ waf-utils_src_configure "${myconf[@]}"
+}
+
+multilib_src_compile(){
+ waf-utils_src_compile
+ multilib_is_native_abi && use doc && doxygen Doxyfile
+}
+
+multilib_src_test() {
+ if multilib_is_native_abi; then
+ WAF_MAKE=1 \
+ PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
+ LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
+ waf test || die
+ fi
+}
+
+multilib_src_install() {
+ waf-utils_src_install
+
+ if multilib_is_native_abi && use doc; then
+ doman apidocs/man/man3/*.3
+ docinto html
+ dodoc -r apidocs/html/*
+ fi
+}
+
+pkg_postinst() {
+ if has_version sys-auth/sssd; then
+ ewarn "You have sssd installed. It is known to break after ldb upgrades,"
+ ewarn "so please try to rebuild it before reporting bugs."
+ ewarn "See https://bugs.gentoo.org/404281"
+ fi
+}
diff --git a/sys-libs/ldb/ldb-1.3.8.ebuild b/sys-libs/ldb/ldb-1.3.8.ebuild
new file mode 100644
index 00000000000..e76e509dbce
--- /dev/null
+++ b/sys-libs/ldb/ldb-1.3.8.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 waf-utils multilib-minimal eutils
+
+DESCRIPTION="An LDAP-like embedded database"
+HOMEPAGE="https://ldb.samba.org"
+SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="doc +ldap +python"
+
+RDEPEND="
+ !elibc_FreeBSD? ( dev-libs/libbsd[${MULTILIB_USEDEP}] )
+ dev-libs/popt[${MULTILIB_USEDEP}]
+ >=dev-util/cmocka-1.1.1[${MULTILIB_USEDEP}]
+ >=sys-libs/talloc-2.1.11[python?,${MULTILIB_USEDEP}]
+ >=sys-libs/tdb-1.3.15[python?,${MULTILIB_USEDEP}]
+ >=sys-libs/tevent-0.9.36[python(+)?,${MULTILIB_USEDEP}]
+ ldap? ( net-nds/openldap )
+ python? ( ${PYTHON_DEPS} )
+"
+
+DEPEND="dev-libs/libxslt
+ doc? ( app-doc/doxygen )
+ virtual/pkgconfig
+ ${PYTHON_DEPS}
+ ${RDEPEND}
+"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.1.31-optional_packages.patch
+ "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
+)
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myconf=(
+ $(usex ldap '' --disable-ldap)
+ --disable-rpath
+ --disable-rpath-install --bundled-libraries=NONE
+ --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
+ --builtin-libraries=NONE
+ )
+ if ! multilib_is_native_abi; then
+ myconf+=( --disable-python )
+ else
+ use python || myconf+=( --disable-python )
+ fi
+ waf-utils_src_configure "${myconf[@]}"
+}
+
+multilib_src_compile(){
+ waf-utils_src_compile
+ multilib_is_native_abi && use doc && doxygen Doxyfile
+}
+
+multilib_src_test() {
+ if multilib_is_native_abi; then
+ WAF_MAKE=1 \
+ PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
+ LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
+ waf test || die
+ fi
+}
+
+multilib_src_install() {
+ waf-utils_src_install
+
+ if multilib_is_native_abi && use doc; then
+ doman apidocs/man/man3/*.3
+ docinto html
+ dodoc -r apidocs/html/*
+ fi
+}
+
+pkg_postinst() {
+ if has_version sys-auth/sssd; then
+ ewarn "You have sssd installed. It is known to break after ldb upgrades,"
+ ewarn "so please try to rebuild it before reporting bugs."
+ ewarn "See https://bugs.gentoo.org/404281"
+ fi
+}
diff --git a/sys-libs/ldb/ldb-1.4.6.ebuild b/sys-libs/ldb/ldb-1.4.6.ebuild
new file mode 100644
index 00000000000..eb8e4d2e6ef
--- /dev/null
+++ b/sys-libs/ldb/ldb-1.4.6.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="threads"
+
+inherit python-single-r1 waf-utils multilib-minimal eutils
+
+DESCRIPTION="An LDAP-like embedded database"
+HOMEPAGE="https://ldb.samba.org"
+SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="doc +ldap +lmdb +python"
+
+RDEPEND="
+ !elibc_FreeBSD? ( dev-libs/libbsd[${MULTILIB_USEDEP}] )
+ dev-libs/popt[${MULTILIB_USEDEP}]
+ >=dev-util/cmocka-1.1.1[${MULTILIB_USEDEP}]
+ >=sys-libs/talloc-2.1.14[python?,${MULTILIB_USEDEP}]
+ >=sys-libs/tdb-1.3.16[python?,${MULTILIB_USEDEP}]
+ >=sys-libs/tevent-0.9.37[python(+)?,${MULTILIB_USEDEP}]
+ ldap? ( net-nds/openldap )
+ lmdb? ( >=dev-db/lmdb-0.9.16[${MULTILIB_USEDEP}] )
+ python? ( ${PYTHON_DEPS} )
+"
+
+DEPEND="dev-libs/libxslt
+ doc? ( app-doc/doxygen )
+ virtual/pkgconfig
+ ${PYTHON_DEPS}
+ ${RDEPEND}
+"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.4.0-optional_packages.patch
+ "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
+)
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myconf=(
+ $(usex ldap '' --disable-ldap)
+ $(usex lmdb '' --without-ldb-lmdb)
+ --disable-rpath
+ --disable-rpath-install --bundled-libraries=NONE
+ --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
+ --builtin-libraries=NONE
+ )
+ if ! multilib_is_native_abi; then
+ myconf+=( --disable-python )
+ else
+ use python || myconf+=( --disable-python )
+ fi
+ waf-utils_src_configure "${myconf[@]}"
+}
+
+multilib_src_compile(){
+ waf-utils_src_compile
+ multilib_is_native_abi && use doc && doxygen Doxyfile
+}
+
+multilib_src_test() {
+ if multilib_is_native_abi; then
+ WAF_MAKE=1 \
+ PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
+ LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
+ waf test || die
+ fi
+}
+
+multilib_src_install() {
+ waf-utils_src_install
+
+ if multilib_is_native_abi && use doc; then
+ doman apidocs/man/man3/*.3
+ docinto html
+ dodoc -r apidocs/html/*
+ fi
+}
+
+pkg_postinst() {
+ if has_version sys-auth/sssd; then
+ ewarn "You have sssd installed. It is known to break after ldb upgrades,"
+ ewarn "so please try to rebuild it before reporting bugs."
+ ewarn "See https://bugs.gentoo.org/404281"
+ fi
+}
diff --git a/sys-libs/ldb/ldb-1.5.4.ebuild b/sys-libs/ldb/ldb-1.5.4.ebuild
new file mode 100644
index 00000000000..1d232f0ba4c
--- /dev/null
+++ b/sys-libs/ldb/ldb-1.5.4.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit python-single-r1 waf-utils multilib-minimal eutils
+
+DESCRIPTION="An LDAP-like embedded database"
+HOMEPAGE="https://ldb.samba.org"
+SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="doc +ldap +lmdb +python"
+
+RDEPEND="
+ !elibc_FreeBSD? ( dev-libs/libbsd[${MULTILIB_USEDEP}] )
+ dev-libs/popt[${MULTILIB_USEDEP}]
+ >=dev-util/cmocka-1.1.3[${MULTILIB_USEDEP}]
+ >=sys-libs/talloc-2.1.16[python?,${MULTILIB_USEDEP}]
+ >=sys-libs/tdb-1.3.18[python?,${MULTILIB_USEDEP}]
+ >=sys-libs/tevent-0.9.39[python(+)?,${MULTILIB_USEDEP}]
+ ldap? ( net-nds/openldap )
+ lmdb? ( >=dev-db/lmdb-0.9.16[${MULTILIB_USEDEP}] )
+ python? ( ${PYTHON_DEPS} )
+"
+
+DEPEND="dev-libs/libxslt
+ doc? ( app-doc/doxygen )
+ virtual/pkgconfig
+ ${PYTHON_DEPS}
+ ${RDEPEND}
+"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.5.2-optional_packages.patch
+ "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
+)
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myconf=(
+ $(usex ldap '' --disable-ldap)
+ $(usex lmdb '' --without-ldb-lmdb)
+ --disable-rpath
+ --disable-rpath-install --bundled-libraries=NONE
+ --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
+ --builtin-libraries=NONE
+ )
+ if ! multilib_is_native_abi; then
+ myconf+=( --disable-python )
+ else
+ use python || myconf+=( --disable-python )
+ fi
+ waf-utils_src_configure "${myconf[@]}"
+}
+
+multilib_src_compile(){
+ waf-utils_src_compile
+ multilib_is_native_abi && use doc && doxygen Doxyfile
+}
+
+multilib_src_test() {
+ if multilib_is_native_abi; then
+ WAF_MAKE=1 \
+ PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
+ LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
+ waf test || die
+ fi
+}
+
+multilib_src_install() {
+ waf-utils_src_install
+
+ if multilib_is_native_abi && use doc; then
+ doman apidocs/man/man3/*.3
+ docinto html
+ dodoc -r apidocs/html/*
+ fi
+}
+
+pkg_postinst() {
+ if has_version sys-auth/sssd; then
+ ewarn "You have sssd installed. It is known to break after ldb upgrades,"
+ ewarn "so please try to rebuild it before reporting bugs."
+ ewarn "See https://bugs.gentoo.org/404281"
+ fi
+}
diff --git a/sys-libs/ldb/ldb-1.6.2.ebuild b/sys-libs/ldb/ldb-1.6.2.ebuild
new file mode 100644
index 00000000000..1d232f0ba4c
--- /dev/null
+++ b/sys-libs/ldb/ldb-1.6.2.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit python-single-r1 waf-utils multilib-minimal eutils
+
+DESCRIPTION="An LDAP-like embedded database"
+HOMEPAGE="https://ldb.samba.org"
+SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="doc +ldap +lmdb +python"
+
+RDEPEND="
+ !elibc_FreeBSD? ( dev-libs/libbsd[${MULTILIB_USEDEP}] )
+ dev-libs/popt[${MULTILIB_USEDEP}]
+ >=dev-util/cmocka-1.1.3[${MULTILIB_USEDEP}]
+ >=sys-libs/talloc-2.1.16[python?,${MULTILIB_USEDEP}]
+ >=sys-libs/tdb-1.3.18[python?,${MULTILIB_USEDEP}]
+ >=sys-libs/tevent-0.9.39[python(+)?,${MULTILIB_USEDEP}]
+ ldap? ( net-nds/openldap )
+ lmdb? ( >=dev-db/lmdb-0.9.16[${MULTILIB_USEDEP}] )
+ python? ( ${PYTHON_DEPS} )
+"
+
+DEPEND="dev-libs/libxslt
+ doc? ( app-doc/doxygen )
+ virtual/pkgconfig
+ ${PYTHON_DEPS}
+ ${RDEPEND}
+"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+WAF_BINARY="${S}/buildtools/bin/waf"
+
+MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.5.2-optional_packages.patch
+ "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
+)
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myconf=(
+ $(usex ldap '' --disable-ldap)
+ $(usex lmdb '' --without-ldb-lmdb)
+ --disable-rpath
+ --disable-rpath-install --bundled-libraries=NONE
+ --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
+ --builtin-libraries=NONE
+ )
+ if ! multilib_is_native_abi; then
+ myconf+=( --disable-python )
+ else
+ use python || myconf+=( --disable-python )
+ fi
+ waf-utils_src_configure "${myconf[@]}"
+}
+
+multilib_src_compile(){
+ waf-utils_src_compile
+ multilib_is_native_abi && use doc && doxygen Doxyfile
+}
+
+multilib_src_test() {
+ if multilib_is_native_abi; then
+ WAF_MAKE=1 \
+ PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
+ LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
+ waf test || die
+ fi
+}
+
+multilib_src_install() {
+ waf-utils_src_install
+
+ if multilib_is_native_abi && use doc; then
+ doman apidocs/man/man3/*.3
+ docinto html
+ dodoc -r apidocs/html/*
+ fi
+}
+
+pkg_postinst() {
+ if has_version sys-auth/sssd; then
+ ewarn "You have sssd installed. It is known to break after ldb upgrades,"
+ ewarn "so please try to rebuild it before reporting bugs."
+ ewarn "See https://bugs.gentoo.org/404281"
+ fi
+}